# -*- coding: utf-8 -*-

# Form implementation generated from reading ui file 'generalSettingsDialog.ui'
#
# Created: Wed May 17 12:32:50 2017
#      by: PyQt5 UI code generator 5.2.1
#
# WARNING! All changes made in this file will be lost!

from PyQt5 import QtCore, QtGui, QtWidgets

class Ui_generalSettingsDialog(object):
    def setupUi(self, generalSettingsDialog):
        generalSettingsDialog.setObjectName("generalSettingsDialog")
        generalSettingsDialog.resize(590, 424)
        self.verticalLayout_4 = QtWidgets.QVBoxLayout(generalSettingsDialog)
        self.verticalLayout_4.setObjectName("verticalLayout_4")
        self.settings_tabs = QtWidgets.QTabWidget(generalSettingsDialog)
        self.settings_tabs.setObjectName("settings_tabs")
        self.strips_tab = QtWidgets.QWidget()
        self.strips_tab.setObjectName("strips_tab")
        self.verticalLayout_6 = QtWidgets.QVBoxLayout(self.strips_tab)
        self.verticalLayout_6.setObjectName("verticalLayout_6")
        self.groupBox_7 = QtWidgets.QGroupBox(self.strips_tab)
        self.groupBox_7.setObjectName("groupBox_7")
        self.verticalLayout_8 = QtWidgets.QVBoxLayout(self.groupBox_7)
        self.verticalLayout_8.setObjectName("verticalLayout_8")
        self.autoFillStripFromXPDR_tickBox = QtWidgets.QCheckBox(self.groupBox_7)
        self.autoFillStripFromXPDR_tickBox.setObjectName("autoFillStripFromXPDR_tickBox")
        self.verticalLayout_8.addWidget(self.autoFillStripFromXPDR_tickBox)
        self.autoFillStripFromFPL_tickBox = QtWidgets.QCheckBox(self.groupBox_7)
        self.autoFillStripFromFPL_tickBox.setObjectName("autoFillStripFromFPL_tickBox")
        self.verticalLayout_8.addWidget(self.autoFillStripFromFPL_tickBox)
        self.autoFillStripBeforeHandovers_tickBox = QtWidgets.QCheckBox(self.groupBox_7)
        self.autoFillStripBeforeHandovers_tickBox.setObjectName("autoFillStripBeforeHandovers_tickBox")
        self.verticalLayout_8.addWidget(self.autoFillStripBeforeHandovers_tickBox)
        self.verticalLayout_6.addWidget(self.groupBox_7)
        self.horizontalLayout_3 = QtWidgets.QHBoxLayout()
        self.horizontalLayout_3.setObjectName("horizontalLayout_3")
        self.groupBox_5 = QtWidgets.QGroupBox(self.strips_tab)
        self.groupBox_5.setObjectName("groupBox_5")
        self.verticalLayout_7 = QtWidgets.QVBoxLayout(self.groupBox_5)
        self.verticalLayout_7.setObjectName("verticalLayout_7")
        self.confirmHandovers_tickBox = QtWidgets.QCheckBox(self.groupBox_5)
        self.confirmHandovers_tickBox.setObjectName("confirmHandovers_tickBox")
        self.verticalLayout_7.addWidget(self.confirmHandovers_tickBox)
        self.confirmLossyStripReleases_tickBox = QtWidgets.QCheckBox(self.groupBox_5)
        self.confirmLossyStripReleases_tickBox.setObjectName("confirmLossyStripReleases_tickBox")
        self.verticalLayout_7.addWidget(self.confirmLossyStripReleases_tickBox)
        self.confirmLinkedStripDeletions_tickBox = QtWidgets.QCheckBox(self.groupBox_5)
        self.confirmLinkedStripDeletions_tickBox.setObjectName("confirmLinkedStripDeletions_tickBox")
        self.verticalLayout_7.addWidget(self.confirmLinkedStripDeletions_tickBox)
        self.horizontalLayout_3.addWidget(self.groupBox_5)
        self.line_6 = QtWidgets.QFrame(self.strips_tab)
        self.line_6.setFrameShape(QtWidgets.QFrame.VLine)
        self.line_6.setFrameShadow(QtWidgets.QFrame.Sunken)
        self.line_6.setObjectName("line_6")
        self.horizontalLayout_3.addWidget(self.line_6)
        self.groupBox_6 = QtWidgets.QGroupBox(self.strips_tab)
        self.groupBox_6.setObjectName("groupBox_6")
        self.verticalLayout_5 = QtWidgets.QVBoxLayout(self.groupBox_6)
        self.verticalLayout_5.setObjectName("verticalLayout_5")
        self.autoSwitchRacks_tickBox = QtWidgets.QCheckBox(self.groupBox_6)
        self.autoSwitchRacks_tickBox.setObjectName("autoSwitchRacks_tickBox")
        self.verticalLayout_5.addWidget(self.autoSwitchRacks_tickBox)
        self.showRackColourDeco_tickBox = QtWidgets.QCheckBox(self.groupBox_6)
        self.showRackColourDeco_tickBox.setObjectName("showRackColourDeco_tickBox")
        self.verticalLayout_5.addWidget(self.showRackColourDeco_tickBox)
        self.horizontalLayout_3.addWidget(self.groupBox_6)
        self.verticalLayout_6.addLayout(self.horizontalLayout_3)
        self.settings_tabs.addTab(self.strips_tab, "")
        self.radar_tab = QtWidgets.QWidget()
        self.radar_tab.setObjectName("radar_tab")
        self.verticalLayout_11 = QtWidgets.QVBoxLayout(self.radar_tab)
        self.verticalLayout_11.setObjectName("verticalLayout_11")
        self.groupBox_12 = QtWidgets.QGroupBox(self.radar_tab)
        self.groupBox_12.setObjectName("groupBox_12")
        self.gridLayout = QtWidgets.QGridLayout(self.groupBox_12)
        self.gridLayout.setObjectName("gridLayout")
        self.label_9 = QtWidgets.QLabel(self.groupBox_12)
        font = QtGui.QFont()
        font.setItalic(True)
        self.label_9.setFont(font)
        self.label_9.setObjectName("label_9")
        self.gridLayout.addWidget(self.label_9, 0, 3, 1, 1)
        self.radarFloor_edit = QtWidgets.QSpinBox(self.groupBox_12)
        self.radarFloor_edit.setMaximum(1000)
        self.radarFloor_edit.setSingleStep(10)
        self.radarFloor_edit.setObjectName("radarFloor_edit")
        self.gridLayout.addWidget(self.radarFloor_edit, 1, 1, 1, 1)
        self.label = QtWidgets.QLabel(self.groupBox_12)
        self.label.setObjectName("label")
        self.gridLayout.addWidget(self.label, 1, 0, 1, 1)
        self.radarHorizontalRange_edit = QtWidgets.QSpinBox(self.groupBox_12)
        self.radarHorizontalRange_edit.setMinimum(10)
        self.radarHorizontalRange_edit.setMaximum(500)
        self.radarHorizontalRange_edit.setProperty("value", 100)
        self.radarHorizontalRange_edit.setObjectName("radarHorizontalRange_edit")
        self.gridLayout.addWidget(self.radarHorizontalRange_edit, 0, 1, 1, 1)
        self.label_23 = QtWidgets.QLabel(self.groupBox_12)
        self.label_23.setObjectName("label_23")
        self.gridLayout.addWidget(self.label_23, 0, 0, 1, 1)
        spacerItem = QtWidgets.QSpacerItem(10, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.gridLayout.addItem(spacerItem, 0, 2, 1, 1)
        self.ignoreFloorOnRadarCheat_tickBox = QtWidgets.QCheckBox(self.groupBox_12)
        self.ignoreFloorOnRadarCheat_tickBox.setChecked(True)
        self.ignoreFloorOnRadarCheat_tickBox.setObjectName("ignoreFloorOnRadarCheat_tickBox")
        self.gridLayout.addWidget(self.ignoreFloorOnRadarCheat_tickBox, 1, 3, 1, 1)
        self.verticalLayout_11.addWidget(self.groupBox_12)
        self.groupBox_13 = QtWidgets.QGroupBox(self.radar_tab)
        self.groupBox_13.setObjectName("groupBox_13")
        self.gridLayout_2 = QtWidgets.QGridLayout(self.groupBox_13)
        self.gridLayout_2.setObjectName("gridLayout_2")
        self.label_3 = QtWidgets.QLabel(self.groupBox_13)
        self.label_3.setObjectName("label_3")
        self.gridLayout_2.addWidget(self.label_3, 1, 0, 1, 1)
        self.positionHistoryTraceTime_edit = QtWidgets.QSpinBox(self.groupBox_13)
        self.positionHistoryTraceTime_edit.setSingleStep(10)
        self.positionHistoryTraceTime_edit.setObjectName("positionHistoryTraceTime_edit")
        self.gridLayout_2.addWidget(self.positionHistoryTraceTime_edit, 2, 1, 1, 1)
        self.label_8 = QtWidgets.QLabel(self.groupBox_13)
        self.label_8.setObjectName("label_8")
        self.gridLayout_2.addWidget(self.label_8, 2, 0, 1, 1)
        self.label_12 = QtWidgets.QLabel(self.groupBox_13)
        self.label_12.setObjectName("label_12")
        self.gridLayout_2.addWidget(self.label_12, 0, 0, 1, 1)
        self.radarUpdateInterval_edit = QtWidgets.QSpinBox(self.groupBox_13)
        self.radarUpdateInterval_edit.setEnabled(True)
        self.radarUpdateInterval_edit.setMinimum(1)
        self.radarUpdateInterval_edit.setMaximum(60)
        self.radarUpdateInterval_edit.setProperty("value", 2)
        self.radarUpdateInterval_edit.setObjectName("radarUpdateInterval_edit")
        self.gridLayout_2.addWidget(self.radarUpdateInterval_edit, 0, 1, 1, 1)
        self.radarContactTimeout_edit = QtWidgets.QSpinBox(self.groupBox_13)
        self.radarContactTimeout_edit.setObjectName("radarContactTimeout_edit")
        self.gridLayout_2.addWidget(self.radarContactTimeout_edit, 1, 1, 1, 1)
        self.label_2 = QtWidgets.QLabel(self.groupBox_13)
        self.label_2.setObjectName("label_2")
        self.gridLayout_2.addWidget(self.label_2, 1, 3, 1, 1)
        spacerItem1 = QtWidgets.QSpacerItem(10, 20, QtWidgets.QSizePolicy.Fixed, QtWidgets.QSizePolicy.Minimum)
        self.gridLayout_2.addItem(spacerItem1, 1, 2, 1, 1)
        self.verticalLayout_11.addWidget(self.groupBox_13)
        self.settings_tabs.addTab(self.radar_tab, "")
        self.vectors_tab = QtWidgets.QWidget()
        self.vectors_tab.setObjectName("vectors_tab")
        self.horizontalLayout_2 = QtWidgets.QHBoxLayout(self.vectors_tab)
        self.horizontalLayout_2.setObjectName("horizontalLayout_2")
        self.verticalLayout_2 = QtWidgets.QVBoxLayout()
        self.verticalLayout_2.setObjectName("verticalLayout_2")
        self.groupBox_3 = QtWidgets.QGroupBox(self.vectors_tab)
        self.groupBox_3.setObjectName("groupBox_3")
        self.formLayout_2 = QtWidgets.QFormLayout(self.groupBox_3)
        self.formLayout_2.setFieldGrowthPolicy(QtWidgets.QFormLayout.AllNonFixedFieldsGrow)
        self.formLayout_2.setObjectName("formLayout_2")
        self.label_14 = QtWidgets.QLabel(self.groupBox_3)
        self.label_14.setObjectName("label_14")
        self.formLayout_2.setWidget(0, QtWidgets.QFormLayout.LabelRole, self.label_14)
        self.horizontalSeparation_edit = QtWidgets.QDoubleSpinBox(self.groupBox_3)
        self.horizontalSeparation_edit.setDecimals(1)
        self.horizontalSeparation_edit.setMinimum(1.0)
        self.horizontalSeparation_edit.setMaximum(20.0)
        self.horizontalSeparation_edit.setSingleStep(0.1)
        self.horizontalSeparation_edit.setObjectName("horizontalSeparation_edit")
        self.formLayout_2.setWidget(0, QtWidgets.QFormLayout.FieldRole, self.horizontalSeparation_edit)
        self.label_15 = QtWidgets.QLabel(self.groupBox_3)
        self.label_15.setObjectName("label_15")
        self.formLayout_2.setWidget(1, QtWidgets.QFormLayout.LabelRole, self.label_15)
        self.verticalSeparation_edit = QtWidgets.QSpinBox(self.groupBox_3)
        self.verticalSeparation_edit.setMinimum(100)
        self.verticalSeparation_edit.setMaximum(1000)
        self.verticalSeparation_edit.setSingleStep(100)
        self.verticalSeparation_edit.setProperty("value", 500)
        self.verticalSeparation_edit.setObjectName("verticalSeparation_edit")
        self.formLayout_2.setWidget(1, QtWidgets.QFormLayout.FieldRole, self.verticalSeparation_edit)
        self.verticalLayout_2.addWidget(self.groupBox_3)
        self.groupBox_4 = QtWidgets.QGroupBox(self.vectors_tab)
        self.groupBox_4.setObjectName("groupBox_4")
        self.formLayout_3 = QtWidgets.QFormLayout(self.groupBox_4)
        self.formLayout_3.setFieldGrowthPolicy(QtWidgets.QFormLayout.AllNonFixedFieldsGrow)
        self.formLayout_3.setObjectName("formLayout_3")
        self.label_7 = QtWidgets.QLabel(self.groupBox_4)
        self.label_7.setObjectName("label_7")
        self.formLayout_3.setWidget(0, QtWidgets.QFormLayout.LabelRole, self.label_7)
        self.conflictWarningTime_edit = QtWidgets.QSpinBox(self.groupBox_4)
        self.conflictWarningTime_edit.setMinimum(1)
        self.conflictWarningTime_edit.setMaximum(8)
        self.conflictWarningTime_edit.setProperty("value", 5)
        self.conflictWarningTime_edit.setObjectName("conflictWarningTime_edit")
        self.formLayout_3.setWidget(0, QtWidgets.QFormLayout.FieldRole, self.conflictWarningTime_edit)
        self.label_13 = QtWidgets.QLabel(self.groupBox_4)
        self.label_13.setObjectName("label_13")
        self.formLayout_3.setWidget(1, QtWidgets.QFormLayout.LabelRole, self.label_13)
        self.conflictWarningFloorFL_edit = QtWidgets.QSpinBox(self.groupBox_4)
        self.conflictWarningFloorFL_edit.setMinimum(20)
        self.conflictWarningFloorFL_edit.setMaximum(300)
        self.conflictWarningFloorFL_edit.setSingleStep(10)
        self.conflictWarningFloorFL_edit.setProperty("value", 100)
        self.conflictWarningFloorFL_edit.setObjectName("conflictWarningFloorFL_edit")
        self.formLayout_3.setWidget(1, QtWidgets.QFormLayout.FieldRole, self.conflictWarningFloorFL_edit)
        self.verticalLayout_2.addWidget(self.groupBox_4)
        self.horizontalLayout_2.addLayout(self.verticalLayout_2)
        self.line_4 = QtWidgets.QFrame(self.vectors_tab)
        self.line_4.setFrameShape(QtWidgets.QFrame.VLine)
        self.line_4.setFrameShadow(QtWidgets.QFrame.Sunken)
        self.line_4.setObjectName("line_4")
        self.horizontalLayout_2.addWidget(self.line_4)
        self.verticalLayout = QtWidgets.QVBoxLayout()
        self.verticalLayout.setObjectName("verticalLayout")
        self.groupBox_2 = QtWidgets.QGroupBox(self.vectors_tab)
        self.groupBox_2.setObjectName("groupBox_2")
        self.formLayout = QtWidgets.QFormLayout(self.groupBox_2)
        self.formLayout.setFieldGrowthPolicy(QtWidgets.QFormLayout.AllNonFixedFieldsGrow)
        self.formLayout.setObjectName("formLayout")
        self.label_4 = QtWidgets.QLabel(self.groupBox_2)
        self.label_4.setObjectName("label_4")
        self.formLayout.setWidget(0, QtWidgets.QFormLayout.LabelRole, self.label_4)
        self.headingTolerance_edit = QtWidgets.QSpinBox(self.groupBox_2)
        self.headingTolerance_edit.setMaximum(45)
        self.headingTolerance_edit.setObjectName("headingTolerance_edit")
        self.formLayout.setWidget(0, QtWidgets.QFormLayout.FieldRole, self.headingTolerance_edit)
        self.label_5 = QtWidgets.QLabel(self.groupBox_2)
        self.label_5.setObjectName("label_5")
        self.formLayout.setWidget(1, QtWidgets.QFormLayout.LabelRole, self.label_5)
        self.altitudeTolerance_edit = QtWidgets.QSpinBox(self.groupBox_2)
        self.altitudeTolerance_edit.setMaximum(1000)
        self.altitudeTolerance_edit.setSingleStep(10)
        self.altitudeTolerance_edit.setObjectName("altitudeTolerance_edit")
        self.formLayout.setWidget(1, QtWidgets.QFormLayout.FieldRole, self.altitudeTolerance_edit)
        self.label_6 = QtWidgets.QLabel(self.groupBox_2)
        self.label_6.setObjectName("label_6")
        self.formLayout.setWidget(2, QtWidgets.QFormLayout.LabelRole, self.label_6)
        self.speedTolerance_edit = QtWidgets.QSpinBox(self.groupBox_2)
        self.speedTolerance_edit.setMaximum(100)
        self.speedTolerance_edit.setSingleStep(5)
        self.speedTolerance_edit.setObjectName("speedTolerance_edit")
        self.formLayout.setWidget(2, QtWidgets.QFormLayout.FieldRole, self.speedTolerance_edit)
        self.verticalLayout.addWidget(self.groupBox_2)
        self.groupBox_9 = QtWidgets.QGroupBox(self.vectors_tab)
        self.groupBox_9.setObjectName("groupBox_9")
        self.formLayout_4 = QtWidgets.QFormLayout(self.groupBox_9)
        self.formLayout_4.setFieldGrowthPolicy(QtWidgets.QFormLayout.AllNonFixedFieldsGrow)
        self.formLayout_4.setObjectName("formLayout_4")
        self.instructRouteChangeImmediately_tickBox = QtWidgets.QCheckBox(self.groupBox_9)
        self.instructRouteChangeImmediately_tickBox.setObjectName("instructRouteChangeImmediately_tickBox")
        self.formLayout_4.setWidget(0, QtWidgets.QFormLayout.SpanningRole, self.instructRouteChangeImmediately_tickBox)
        self.openLostLegSpecsDialog_tickBox = QtWidgets.QCheckBox(self.groupBox_9)
        self.openLostLegSpecsDialog_tickBox.setObjectName("openLostLegSpecsDialog_tickBox")
        self.formLayout_4.setWidget(1, QtWidgets.QFormLayout.SpanningRole, self.openLostLegSpecsDialog_tickBox)
        self.verticalLayout.addWidget(self.groupBox_9)
        self.horizontalLayout_2.addLayout(self.verticalLayout)
        self.settings_tabs.addTab(self.vectors_tab, "")
        self.solo_tab = QtWidgets.QWidget()
        self.solo_tab.setObjectName("solo_tab")
        self.verticalLayout_3 = QtWidgets.QVBoxLayout(self.solo_tab)
        self.verticalLayout_3.setObjectName("verticalLayout_3")
        self.groupBox_10 = QtWidgets.QGroupBox(self.solo_tab)
        self.groupBox_10.setObjectName("groupBox_10")
        self.gridLayout_4 = QtWidgets.QGridLayout(self.groupBox_10)
        self.gridLayout_4.setObjectName("gridLayout_4")
        self.label_22 = QtWidgets.QLabel(self.groupBox_10)
        self.label_22.setObjectName("label_22")
        self.gridLayout_4.addWidget(self.label_22, 0, 0, 1, 1)
        self.maxAircraftCount_edit = QtWidgets.QSpinBox(self.groupBox_10)
        self.maxAircraftCount_edit.setMinimum(1)
        self.maxAircraftCount_edit.setObjectName("maxAircraftCount_edit")
        self.gridLayout_4.addWidget(self.maxAircraftCount_edit, 0, 1, 1, 1)
        self.label_19 = QtWidgets.QLabel(self.groupBox_10)
        self.label_19.setObjectName("label_19")
        self.gridLayout_4.addWidget(self.label_19, 1, 0, 1, 1)
        self.minSpawnDelay_seconds_edit = QtWidgets.QSpinBox(self.groupBox_10)
        self.minSpawnDelay_seconds_edit.setMinimum(1)
        self.minSpawnDelay_seconds_edit.setMaximum(119)
        self.minSpawnDelay_seconds_edit.setObjectName("minSpawnDelay_seconds_edit")
        self.gridLayout_4.addWidget(self.minSpawnDelay_seconds_edit, 1, 1, 1, 1)
        self.label_21 = QtWidgets.QLabel(self.groupBox_10)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Maximum, QtWidgets.QSizePolicy.Preferred)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.label_21.sizePolicy().hasHeightForWidth())
        self.label_21.setSizePolicy(sizePolicy)
        self.label_21.setAlignment(QtCore.Qt.AlignCenter)
        self.label_21.setObjectName("label_21")
        self.gridLayout_4.addWidget(self.label_21, 1, 2, 1, 1)
        self.maxSpawnDelay_minutes_edit = QtWidgets.QSpinBox(self.groupBox_10)
        self.maxSpawnDelay_minutes_edit.setMinimum(2)
        self.maxSpawnDelay_minutes_edit.setMaximum(15)
        self.maxSpawnDelay_minutes_edit.setObjectName("maxSpawnDelay_minutes_edit")
        self.gridLayout_4.addWidget(self.maxSpawnDelay_minutes_edit, 1, 3, 1, 1)
        self.verticalLayout_3.addWidget(self.groupBox_10)
        self.groupBox = QtWidgets.QGroupBox(self.solo_tab)
        sizePolicy = QtWidgets.QSizePolicy(QtWidgets.QSizePolicy.Preferred, QtWidgets.QSizePolicy.Fixed)
        sizePolicy.setHorizontalStretch(0)
        sizePolicy.setVerticalStretch(0)
        sizePolicy.setHeightForWidth(self.groupBox.sizePolicy().hasHeightForWidth())
        self.groupBox.setSizePolicy(sizePolicy)
        self.groupBox.setObjectName("groupBox")
        self.gridLayout_3 = QtWidgets.QGridLayout(self.groupBox)
        self.gridLayout_3.setObjectName("gridLayout_3")
        self.label_11 = QtWidgets.QLabel(self.groupBox)
        self.label_11.setObjectName("label_11")
        self.gridLayout_3.addWidget(self.label_11, 0, 0, 1, 1)
        self.ARRvsDEP_edit = QtWidgets.QSlider(self.groupBox)
        self.ARRvsDEP_edit.setMaximum(100)
        self.ARRvsDEP_edit.setOrientation(QtCore.Qt.Horizontal)
        self.ARRvsDEP_edit.setObjectName("ARRvsDEP_edit")
        self.gridLayout_3.addWidget(self.ARRvsDEP_edit, 0, 1, 1, 1)
        self.label_18 = QtWidgets.QLabel(self.groupBox)
        self.label_18.setObjectName("label_18")
        self.gridLayout_3.addWidget(self.label_18, 0, 2, 1, 1)
        self.label_16 = QtWidgets.QLabel(self.groupBox)
        self.label_16.setObjectName("label_16")
        self.gridLayout_3.addWidget(self.label_16, 1, 0, 1, 1)
        self.ILSvsVisual_edit = QtWidgets.QSlider(self.groupBox)
        self.ILSvsVisual_edit.setMaximum(100)
        self.ILSvsVisual_edit.setOrientation(QtCore.Qt.Horizontal)
        self.ILSvsVisual_edit.setObjectName("ILSvsVisual_edit")
        self.gridLayout_3.addWidget(self.ILSvsVisual_edit, 1, 1, 1, 1)
        self.label_17 = QtWidgets.QLabel(self.groupBox)
        self.label_17.setObjectName("label_17")
        self.gridLayout_3.addWidget(self.label_17, 1, 2, 1, 1)
        self.verticalLayout_3.addWidget(self.groupBox)
        self.horizontalLayout = QtWidgets.QHBoxLayout()
        self.horizontalLayout.setObjectName("horizontalLayout")
        self.groupBox_8 = QtWidgets.QGroupBox(self.solo_tab)
        self.groupBox_8.setObjectName("groupBox_8")
        self.verticalLayout_9 = QtWidgets.QVBoxLayout(self.groupBox_8)
        self.verticalLayout_9.setObjectName("verticalLayout_9")
        self.voiceInstr_off_radioButton = QtWidgets.QRadioButton(self.groupBox_8)
        self.voiceInstr_off_radioButton.setObjectName("voiceInstr_off_radioButton")
        self.verticalLayout_9.addWidget(self.voiceInstr_off_radioButton)
        self.voiceInstr_on_radioButton = QtWidgets.QRadioButton(self.groupBox_8)
        self.voiceInstr_on_radioButton.setObjectName("voiceInstr_on_radioButton")
        self.verticalLayout_9.addWidget(self.voiceInstr_on_radioButton)
        self.horizontalLayout.addWidget(self.groupBox_8)
        self.line = QtWidgets.QFrame(self.solo_tab)
        self.line.setFrameShape(QtWidgets.QFrame.VLine)
        self.line.setFrameShadow(QtWidgets.QFrame.Sunken)
        self.line.setObjectName("line")
        self.horizontalLayout.addWidget(self.line)
        self.groupBox_11 = QtWidgets.QGroupBox(self.solo_tab)
        self.groupBox_11.setObjectName("groupBox_11")
        self.verticalLayout_10 = QtWidgets.QVBoxLayout(self.groupBox_11)
        self.verticalLayout_10.setObjectName("verticalLayout_10")
        self.readBack_off_radioButton = QtWidgets.QRadioButton(self.groupBox_11)
        self.readBack_off_radioButton.setObjectName("readBack_off_radioButton")
        self.verticalLayout_10.addWidget(self.readBack_off_radioButton)
        self.readBack_wilcoBeep_radioButton = QtWidgets.QRadioButton(self.groupBox_11)
        self.readBack_wilcoBeep_radioButton.setObjectName("readBack_wilcoBeep_radioButton")
        self.verticalLayout_10.addWidget(self.readBack_wilcoBeep_radioButton)
        self.readBack_voice_radioButton = QtWidgets.QRadioButton(self.groupBox_11)
        self.readBack_voice_radioButton.setObjectName("readBack_voice_radioButton")
        self.verticalLayout_10.addWidget(self.readBack_voice_radioButton)
        self.horizontalLayout.addWidget(self.groupBox_11)
        self.verticalLayout_3.addLayout(self.horizontalLayout)
        self.settings_tabs.addTab(self.solo_tab, "")
        self.verticalLayout_4.addWidget(self.settings_tabs)
        self.buttonBox = QtWidgets.QDialogButtonBox(generalSettingsDialog)
        self.buttonBox.setOrientation(QtCore.Qt.Horizontal)
        self.buttonBox.setStandardButtons(QtWidgets.QDialogButtonBox.Cancel|QtWidgets.QDialogButtonBox.Ok)
        self.buttonBox.setObjectName("buttonBox")
        self.verticalLayout_4.addWidget(self.buttonBox)
        self.label.setBuddy(self.radarFloor_edit)
        self.label_23.setBuddy(self.radarHorizontalRange_edit)
        self.label_3.setBuddy(self.radarContactTimeout_edit)
        self.label_8.setBuddy(self.positionHistoryTraceTime_edit)
        self.label_12.setBuddy(self.radarUpdateInterval_edit)
        self.label_14.setBuddy(self.horizontalSeparation_edit)
        self.label_15.setBuddy(self.verticalSeparation_edit)
        self.label_7.setBuddy(self.conflictWarningTime_edit)
        self.label_13.setBuddy(self.conflictWarningFloorFL_edit)
        self.label_4.setBuddy(self.headingTolerance_edit)
        self.label_5.setBuddy(self.altitudeTolerance_edit)
        self.label_6.setBuddy(self.speedTolerance_edit)
        self.label_22.setBuddy(self.maxAircraftCount_edit)
        self.label_19.setBuddy(self.minSpawnDelay_seconds_edit)
        self.label_21.setBuddy(self.maxSpawnDelay_minutes_edit)
        self.label_11.setBuddy(self.ARRvsDEP_edit)
        self.label_18.setBuddy(self.ARRvsDEP_edit)
        self.label_16.setBuddy(self.ILSvsVisual_edit)
        self.label_17.setBuddy(self.ILSvsVisual_edit)

        self.retranslateUi(generalSettingsDialog)
        self.settings_tabs.setCurrentIndex(0)
        self.buttonBox.rejected.connect(generalSettingsDialog.reject)
        QtCore.QMetaObject.connectSlotsByName(generalSettingsDialog)
        generalSettingsDialog.setTabOrder(self.settings_tabs, self.autoFillStripFromXPDR_tickBox)
        generalSettingsDialog.setTabOrder(self.autoFillStripFromXPDR_tickBox, self.autoFillStripFromFPL_tickBox)
        generalSettingsDialog.setTabOrder(self.autoFillStripFromFPL_tickBox, self.autoFillStripBeforeHandovers_tickBox)
        generalSettingsDialog.setTabOrder(self.autoFillStripBeforeHandovers_tickBox, self.confirmHandovers_tickBox)
        generalSettingsDialog.setTabOrder(self.confirmHandovers_tickBox, self.confirmLossyStripReleases_tickBox)
        generalSettingsDialog.setTabOrder(self.confirmLossyStripReleases_tickBox, self.confirmLinkedStripDeletions_tickBox)
        generalSettingsDialog.setTabOrder(self.confirmLinkedStripDeletions_tickBox, self.autoSwitchRacks_tickBox)
        generalSettingsDialog.setTabOrder(self.autoSwitchRacks_tickBox, self.showRackColourDeco_tickBox)
        generalSettingsDialog.setTabOrder(self.showRackColourDeco_tickBox, self.radarHorizontalRange_edit)
        generalSettingsDialog.setTabOrder(self.radarHorizontalRange_edit, self.radarFloor_edit)
        generalSettingsDialog.setTabOrder(self.radarFloor_edit, self.ignoreFloorOnRadarCheat_tickBox)
        generalSettingsDialog.setTabOrder(self.ignoreFloorOnRadarCheat_tickBox, self.radarUpdateInterval_edit)
        generalSettingsDialog.setTabOrder(self.radarUpdateInterval_edit, self.radarContactTimeout_edit)
        generalSettingsDialog.setTabOrder(self.radarContactTimeout_edit, self.positionHistoryTraceTime_edit)
        generalSettingsDialog.setTabOrder(self.positionHistoryTraceTime_edit, self.horizontalSeparation_edit)
        generalSettingsDialog.setTabOrder(self.horizontalSeparation_edit, self.verticalSeparation_edit)
        generalSettingsDialog.setTabOrder(self.verticalSeparation_edit, self.conflictWarningTime_edit)
        generalSettingsDialog.setTabOrder(self.conflictWarningTime_edit, self.conflictWarningFloorFL_edit)
        generalSettingsDialog.setTabOrder(self.conflictWarningFloorFL_edit, self.headingTolerance_edit)
        generalSettingsDialog.setTabOrder(self.headingTolerance_edit, self.altitudeTolerance_edit)
        generalSettingsDialog.setTabOrder(self.altitudeTolerance_edit, self.speedTolerance_edit)
        generalSettingsDialog.setTabOrder(self.speedTolerance_edit, self.instructRouteChangeImmediately_tickBox)
        generalSettingsDialog.setTabOrder(self.instructRouteChangeImmediately_tickBox, self.openLostLegSpecsDialog_tickBox)
        generalSettingsDialog.setTabOrder(self.openLostLegSpecsDialog_tickBox, self.maxAircraftCount_edit)
        generalSettingsDialog.setTabOrder(self.maxAircraftCount_edit, self.minSpawnDelay_seconds_edit)
        generalSettingsDialog.setTabOrder(self.minSpawnDelay_seconds_edit, self.maxSpawnDelay_minutes_edit)
        generalSettingsDialog.setTabOrder(self.maxSpawnDelay_minutes_edit, self.ARRvsDEP_edit)
        generalSettingsDialog.setTabOrder(self.ARRvsDEP_edit, self.ILSvsVisual_edit)
        generalSettingsDialog.setTabOrder(self.ILSvsVisual_edit, self.voiceInstr_off_radioButton)
        generalSettingsDialog.setTabOrder(self.voiceInstr_off_radioButton, self.voiceInstr_on_radioButton)
        generalSettingsDialog.setTabOrder(self.voiceInstr_on_radioButton, self.buttonBox)

    def retranslateUi(self, generalSettingsDialog):
        _translate = QtCore.QCoreApplication.translate
        generalSettingsDialog.setWindowTitle(_translate("generalSettingsDialog", "General settings"))
        self.groupBox_7.setTitle(_translate("generalSettingsDialog", "Blank detail auto-fill"))
        self.autoFillStripFromXPDR_tickBox.setText(_translate("generalSettingsDialog", "on links to transponders"))
        self.autoFillStripFromFPL_tickBox.setText(_translate("generalSettingsDialog", "on links to flight plans"))
        self.autoFillStripBeforeHandovers_tickBox.setText(_translate("generalSettingsDialog", "from all links before handovers"))
        self.groupBox_5.setTitle(_translate("generalSettingsDialog", "Confirmations"))
        self.confirmHandovers_tickBox.setToolTip(_translate("generalSettingsDialog", "Confirm all handovers."))
        self.confirmHandovers_tickBox.setText(_translate("generalSettingsDialog", "Strip handovers"))
        self.confirmLossyStripReleases_tickBox.setToolTip(_translate("generalSettingsDialog", "Confirm shelving strips (releasing contacts) with details not fully pushed online."))
        self.confirmLossyStripReleases_tickBox.setText(_translate("generalSettingsDialog", "Lossy shelving"))
        self.confirmLinkedStripDeletions_tickBox.setToolTip(_translate("generalSettingsDialog", "Confirm deleting linked strips."))
        self.confirmLinkedStripDeletions_tickBox.setText(_translate("generalSettingsDialog", "Linked strip deletions"))
        self.groupBox_6.setTitle(_translate("generalSettingsDialog", "Display"))
        self.autoSwitchRacks_tickBox.setToolTip(_translate("generalSettingsDialog", "Automatically switch rack tabs and scroll tables"))
        self.autoSwitchRacks_tickBox.setText(_translate("generalSettingsDialog", "Keep selection visible"))
        self.showRackColourDeco_tickBox.setText(_translate("generalSettingsDialog", "Show rack colours on tabs"))
        self.settings_tabs.setTabText(self.settings_tabs.indexOf(self.strips_tab), _translate("generalSettingsDialog", "Strips && racks"))
        self.groupBox_12.setTitle(_translate("generalSettingsDialog", "Radar range"))
        self.label_9.setText(_translate("generalSettingsDialog", "NB: FlightGear servers may be limited to a smaller range."))
        self.radarFloor_edit.setToolTip(_translate("generalSettingsDialog", "This is a geometric distance, not a pressure-alt."))
        self.radarFloor_edit.setSpecialValueText(_translate("generalSettingsDialog", "SFC"))
        self.radarFloor_edit.setSuffix(_translate("generalSettingsDialog", " ft ASFC"))
        self.label.setText(_translate("generalSettingsDialog", "Minimum signal pick-up height:"))
        self.radarHorizontalRange_edit.setSuffix(_translate("generalSettingsDialog", " NM"))
        self.label_23.setText(_translate("generalSettingsDialog", "Horizontal range:"))
        self.ignoreFloorOnRadarCheat_tickBox.setToolTip(_translate("generalSettingsDialog", "Setting will resist radar cheat if this box is not ticked."))
        self.ignoreFloorOnRadarCheat_tickBox.setText(_translate("generalSettingsDialog", "unless radar cheat is active"))
        self.groupBox_13.setTitle(_translate("generalSettingsDialog", "Interval and contact traces"))
        self.label_3.setText(_translate("generalSettingsDialog", "Tolerated invisible sweeps:"))
        self.positionHistoryTraceTime_edit.setSpecialValueText(_translate("generalSettingsDialog", "No trace"))
        self.positionHistoryTraceTime_edit.setSuffix(_translate("generalSettingsDialog", " s"))
        self.label_8.setText(_translate("generalSettingsDialog", "Position history trace time:"))
        self.label_12.setText(_translate("generalSettingsDialog", "Radar sweep interval:"))
        self.radarUpdateInterval_edit.setToolTip(_translate("generalSettingsDialog", "Radar rotation (scan) period"))
        self.radarUpdateInterval_edit.setSuffix(_translate("generalSettingsDialog", " s"))
        self.radarContactTimeout_edit.setToolTip(_translate("generalSettingsDialog", "Before contacts appear as \"?\""))
        self.label_2.setText(_translate("generalSettingsDialog", "(before reporting contacts lost)"))
        self.settings_tabs.setTabText(self.settings_tabs.indexOf(self.radar_tab), _translate("generalSettingsDialog", "Radar"))
        self.groupBox_3.setTitle(_translate("generalSettingsDialog", "Aircraft separation"))
        self.label_14.setText(_translate("generalSettingsDialog", "Horizontal:"))
        self.horizontalSeparation_edit.setSuffix(_translate("generalSettingsDialog", " NM"))
        self.label_15.setText(_translate("generalSettingsDialog", "Vertical:"))
        self.verticalSeparation_edit.setSuffix(_translate("generalSettingsDialog", " ft"))
        self.groupBox_4.setTitle(_translate("generalSettingsDialog", "Route/path conflict warnings"))
        self.label_7.setText(_translate("generalSettingsDialog", "Anticipation:"))
        self.conflictWarningTime_edit.setSuffix(_translate("generalSettingsDialog", " min"))
        self.label_13.setText(_translate("generalSettingsDialog", "Only at or above:"))
        self.conflictWarningFloorFL_edit.setToolTip(_translate("generalSettingsDialog", "Path/route conflicts will not be reported if involving aircraft under this level."))
        self.conflictWarningFloorFL_edit.setPrefix(_translate("generalSettingsDialog", "FL"))
        self.groupBox_2.setTitle(_translate("generalSettingsDialog", "Tolerance for vectors"))
        self.label_4.setText(_translate("generalSettingsDialog", "Heading:"))
        self.headingTolerance_edit.setSuffix(_translate("generalSettingsDialog", "°"))
        self.label_5.setText(_translate("generalSettingsDialog", "Altitude:"))
        self.altitudeTolerance_edit.setSuffix(_translate("generalSettingsDialog", " ft"))
        self.label_6.setText(_translate("generalSettingsDialog", "Speed:"))
        self.speedTolerance_edit.setSuffix(_translate("generalSettingsDialog", " kt"))
        self.groupBox_9.setTitle(_translate("generalSettingsDialog", "Navpoint SHIFT+click"))
        self.instructRouteChangeImmediately_tickBox.setText(_translate("generalSettingsDialog", "Issue route change instruction immediately"))
        self.openLostLegSpecsDialog_tickBox.setText(_translate("generalSettingsDialog", "Open dialog when overriding leg specifications"))
        self.settings_tabs.setTabText(self.settings_tabs.indexOf(self.vectors_tab), _translate("generalSettingsDialog", "Separation && vectors"))
        self.groupBox_10.setTitle(_translate("generalSettingsDialog", "Traffic generator"))
        self.label_22.setText(_translate("generalSettingsDialog", "Maximum aircraft count:"))
        self.label_19.setText(_translate("generalSettingsDialog", "Spawn delay:"))
        self.minSpawnDelay_seconds_edit.setSuffix(_translate("generalSettingsDialog", " s"))
        self.label_21.setText(_translate("generalSettingsDialog", "to"))
        self.maxSpawnDelay_minutes_edit.setSuffix(_translate("generalSettingsDialog", " min"))
        self.groupBox.setTitle(_translate("generalSettingsDialog", "Airport mode objectives"))
        self.label_11.setText(_translate("generalSettingsDialog", "ARR"))
        self.ARRvsDEP_edit.setToolTip(_translate("generalSettingsDialog", "Arrival vs. departure balance"))
        self.label_18.setText(_translate("generalSettingsDialog", "DEP"))
        self.label_16.setText(_translate("generalSettingsDialog", "ILS"))
        self.ILSvsVisual_edit.setToolTip(_translate("generalSettingsDialog", "ILS vs. visual approach balance"))
        self.label_17.setText(_translate("generalSettingsDialog", "Visual"))
        self.groupBox_8.setTitle(_translate("generalSettingsDialog", "Instructions"))
        self.voiceInstr_off_radioButton.setToolTip(_translate("generalSettingsDialog", "Mouse vector tool and handover drops will instruct selected callsign directly."))
        self.voiceInstr_off_radioButton.setText(_translate("generalSettingsDialog", "Mouse only"))
        self.voiceInstr_on_radioButton.setToolTip(_translate("generalSettingsDialog", "NB: Taxi instructions are not supported. Use mouse click-and-drag."))
        self.voiceInstr_on_radioButton.setText(_translate("generalSettingsDialog", "Voice recognition"))
        self.groupBox_11.setTitle(_translate("generalSettingsDialog", "Pilot readback"))
        self.readBack_off_radioButton.setText(_translate("generalSettingsDialog", "Text only"))
        self.readBack_wilcoBeep_radioButton.setText(_translate("generalSettingsDialog", "WILCO beeps"))
        self.readBack_voice_radioButton.setText(_translate("generalSettingsDialog", "Voice synthesis"))
        self.settings_tabs.setTabText(self.settings_tabs.indexOf(self.solo_tab), _translate("generalSettingsDialog", "Solo game options"))

